<?php

$getPost = filter_input_array(INPUT_POST, FILTER_DEFAULT);
$setPost = array_map("strip_tags", $getPost);
$post = array_map("trim", $setPost);

$action = $post['action'];
$jSon = array();
unset($post['action']);


if ($action):
    require ('../../_app/Config.inc.php');
endif;

switch ($action):
    case 'lista':
        $endereco_id = $post['id'];
        $Read = new Read;
        $Read->ExeRead("tp_cliente_enderecos", "WHERE cliente_endereco_id = :enderId", "enderId={$endereco_id}");
        $jSon = $Read->getResult()[0];
        break;
    case 'edit':
//        print_r($post);
        $Update = new Update;
        $Update->ExeUpdate("tp_cliente_enderecos", $post, "WHERE cliente_endereco_id = :enderId", "enderId={$post['cliente_endereco_id']}");
        if ($Update->getResult()):
            $jSon['error'] = ["Endereço atualizado com suceso!", WS_ACCEPT];
        endif;
        break;
    default :
        $jSon['error'] = ["Erro ao selecionar Ação!", WS_ERROR];
endswitch;

echo json_encode($jSon);
